﻿using System;
using System.Collections.Generic;
using Microsoft.Xrm.Sdk;
using Microsoft.Xrm.Sdk.Metadata;

namespace MetadataDocumentationGenerator.Generator
{
    public interface IDocument2
    {
        void SaveDocument(string path);
        string Filter { get; }
        bool IsMultipleOutput { get; }
        void Generate(Action<GenerationProgress> triggerProgressChanged, IOrganizationService service, List<EntityMetadata> entityList);
    }
}
